Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.hibernate.tool.class2hbm
Class ReflectedProperty

    java.lang.Object
      |
      +--net.sf.hibernate.tool.class2hbm.ReflectedProperty

public class ReflectedProperty
extends Object

a ReflectedProperty is made by an instance of MapGenerator to model properties of Reflected classes;
basic properties are handled here: primitive, enum, custom;
subclasses handle more involved cases

Version:
  1.x
Author:
  e

Field Summary
`protected StringBuffer` | `buf`
`protected String` | `comment`
`protected boolean` | `isUid`
`protected MapGenerator` | `map`
`protected String` | `name`
`protected String` | `tynm`
`protected Class` | `type`

Method Summary
`protected static String` | `abbreviateType(String typeName)`
`protected void` | `emitCollectionInCompositeStr(int level)`
`protected void` | `emitCollectionStrE(int level, String elm)`
`protected void` | `emitCollectionStrET(int level, String elm, String type)`
`protected void` | `emitCollectionStrI(int level, String idx)`
`protected void` | `emitCollectionStrIT(int level, String idx, String type)`
`protected void` | `emitCollectionStrK(int level, String key)`
`protected void` | `emitCollectionStrL(int level, String collection, String name, boolean lazy)`
`protected void` | `emitCollectionStrR(int level, String collection)`
`protected void` | `emitIntUidStr(int level)`
`protected void` | `emitPCommentStr(int level, String comment, String name, String tynm)`
`protected void` | `emitPropertyStr(int level)`
`protected void` | `emitStrUidStr(int level)`
`protected void` | `emitSubCollectionStr(int level, String name)`
`String` | `getName()` used by gui
`String` | `getTypeName()` used by gui
`protected void` | `getUidXML(int level, StringBuffer buf)`
`protected void` | `getXML(int level, StringBuffer buf)`
`protected void` | `getXMLinArray(int level, StringBuffer buf)`
`protected void` | `getXMLinComposite(int level, StringBuffer buf)`
`protected boolean` | `isUidOK()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isUid

    protected boolean isUid

### type

    protected Class type

### tynm

    protected String tynm

### name

    protected String name

### comment

    protected String comment

### buf

    protected StringBuffer buf

### map

    protected MapGenerator map

Method Detail

### abbreviateType

    protected static String abbreviateType(String typeName)

### getName

    public String getName()

  used by gui

### getTypeName

    public String getTypeName()

  used by gui

### isUidOK

    protected boolean isUidOK()

### emitIntUidStr

    protected void emitIntUidStr(int level)

### emitStrUidStr

    protected void emitStrUidStr(int level)

### emitPropertyStr

    protected void emitPropertyStr(int level)

### emitPCommentStr

    protected void emitPCommentStr(int level,
                                   String comment,
                                   String name,
                                   String tynm)

### emitCollectionStrL

    protected void emitCollectionStrL(int level,
                                      String collection,
                                      String name,
                                      boolean lazy)

### emitCollectionStrK

    protected void emitCollectionStrK(int level,
                                      String key)

### emitCollectionStrI

    protected void emitCollectionStrI(int level,
                                      String idx)

### emitCollectionStrIT

    protected void emitCollectionStrIT(int level,
                                       String idx,
                                       String type)

### emitCollectionStrE

    protected void emitCollectionStrE(int level,
                                      String elm)

### emitCollectionStrET

    protected void emitCollectionStrET(int level,
                                       String elm,
                                       String type)

### emitCollectionStrR

    protected void emitCollectionStrR(int level,
                                      String collection)

### emitSubCollectionStr

    protected void emitSubCollectionStr(int level,
                                        String name)

### emitCollectionInCompositeStr

    protected void emitCollectionInCompositeStr(int level)

### getUidXML

    protected void getUidXML(int level,
                             StringBuffer buf)

### getXMLinComposite

    protected void getXMLinComposite(int level,
                                     StringBuffer buf)

### getXMLinArray

    protected void getXMLinArray(int level,
                                 StringBuffer buf)

### getXML

    protected void getXML(int level,
                          StringBuffer buf)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD